Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### createReader()

Examples

    BufferedReader reader;

    void setup() {
      // Open the file from the createWriter() example
      reader = createReader("positions.txt");
    }

    void draw() {
      String line = reader.readLine();
      if (line == null) {
        // Nothing left in the file, stop reading.
        noLoop();
      } else {
        String[] pieces = split(line, TAB);
        int x = int(pieces[0]);
        int y = int(pieces[1]);
        point(x, y);
      }
    }

Description

Creates a BufferedReader object that can be used to read files line-by-line as individual String objects. This is the complement to the createWriter function.
Starting with Processing release 0134, all files loaded and saved by the Processing API use UTF-8 encoding. In previous releases, the default encoding for your platform was used, which causes problems when files are moved to other platforms.

Syntax

    createReader(filename)

Parameters

filename | Name of the file to be opened

Usage | Application
Related | BufferedReader createWriter PrintWriter

Updated on February 09, 2008 04:38:52pm PST